// @ts-nocheck

/* eslint-disable */
import "./VAvatar.sass"; // Mixins

import Colorable from "../../mixins/colorable/index.mjs";
import Measurable from "../../mixins/measurable.mjs";
import Roundable from "../../mixins/roundable/index.mjs"; // Utilities

import { convertToUnit } from "../../util/helpers.mjs"; // Types

import mixins from "../../util/mixins.mjs";
export default mixins(Colorable, Measurable, Roundable
/* @vue/component */
).extend({
  name: 'v-avatar',
  props: {
    left: Boolean,
    right: Boolean,
    size: {
      type: [Number, String],
      default: 48
    }
  },
  computed: {
    classes() {
      return {
        'v-avatar--left': this.left,
        'v-avatar--right': this.right,
        ...this.roundedClasses
      };
    },

    styles() {
      return {
        height: convertToUnit(this.size),
        minWidth: convertToUnit(this.size),
        width: convertToUnit(this.size),
        ...this.measurableStyles
      };
    }

  },

  render(h) {
    const data = {
      staticClass: 'v-avatar',
      class: this.classes,
      style: this.styles,
      on: this.$listeners
    };
    return h('div', this.setBackgroundColor(this.color, data), this.$slots.default);
  }

});
//# sourceMappingURL=VAvatar.mjs.map