import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
// Styles
import "./VFooter.sass"; // Composables

import { makeSheetProps, useSheet } from "../VSheet/VSheet.mjs";
import { makeTagProps } from "../../composables/tag.mjs"; // Utilities

import { defineComponent } from 'vue';
import makeProps from "../../util/makeProps.mjs";
export default defineComponent({
  name: 'VFooter',
  props: makeProps({ ...makeSheetProps(),
    ...makeTagProps({
      tag: 'footer'
    })
  }),

  setup(props, {
    slots
  }) {
    const {
      sheetClasses,
      sheetStyles
    } = useSheet(props, 'v-footer');
    return () => _createVNode(props.tag, {
      "class": ['v-footer', sheetClasses.value],
      "style": sheetStyles.value
    }, { ...slots,
      _: 1
    }, 8, ["class", "style"]);
  }

});
//# sourceMappingURL=VFooter.mjs.map