import { createVNode as _createVNode } from "vue";
// Styles
import "./VLayout.sass"; // Utilities

import { defineComponent } from 'vue';
import makeProps from "../../util/makeProps.mjs"; // Composables

import { createLayout, makeLayoutProps } from "../../composables/layout.mjs";
export default defineComponent({
  name: 'VLayout',
  props: makeProps(makeLayoutProps()),

  setup(props, {
    slots,
    expose
  }) {
    const {
      layoutClasses,
      getLayoutItem,
      items
    } = createLayout(props);
    expose({
      getLayoutItem,
      items
    });
    return () => _createVNode("div", {
      "class": layoutClasses.value,
      "style": {
        height: props.fullHeight ? '100vh' : undefined
      }
    }, [slots.default == null ? void 0 : slots.default()], 6);
  }

});
//# sourceMappingURL=VLayout.mjs.map