import { createVNode as _createVNode } from "vue";
// Composables
import { makeLayoutItemProps, useLayoutItem } from "../../composables/layout.mjs"; // Utilities

import { toRef, defineComponent, computed } from 'vue'; // Types

export default defineComponent({
  name: 'VLayoutItem',
  props: {
    position: {
      type: String,
      required: true
    },
    ...makeLayoutItemProps()
  },

  setup(props, {
    slots
  }) {
    const styles = useLayoutItem(props.name, toRef(props, 'priority'), computed(() => {
      var _props$position;

      return (_props$position = props.position) != null ? _props$position : 'left';
    }), toRef(props, 'size'));
    return () => _createVNode("div", {
      "style": styles.value
    }, [slots.default == null ? void 0 : slots.default()], 4);
  }

});
//# sourceMappingURL=VLayoutItem.mjs.map