import { createVNode as _createVNode } from "vue";
// Styles
import "./VMain.sass"; // Composables

import { makeTagProps } from "../../composables/tag.mjs";
import { useMain } from "../../composables/layout.mjs";
import { useSsrBoot } from "../../composables/ssrBoot.mjs"; // Utilities

import { defineComponent } from 'vue';
import makeProps from "../../util/makeProps.mjs";
export default defineComponent({
  name: 'VMain',
  props: makeProps(makeTagProps({
    tag: 'main'
  })),

  setup(props, {
    slots
  }) {
    const {
      mainStyles
    } = useMain();
    const {
      ssrBootStyles
    } = useSsrBoot();
    return () => _createVNode(props.tag, {
      "class": "v-main",
      "style": [mainStyles.value, ssrBootStyles.value]
    }, {
      default: () => [_createVNode("div", {
        "class": "v-main__wrap"
      }, [slots.default == null ? void 0 : slots.default()])],
      _: 1
    }, 8, ["style"]);
  }

});
//# sourceMappingURL=VMain.mjs.map