import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
// Styles
import "./VSystemBar.sass"; // Composables

import { makeSheetProps, useSheet } from "../VSheet/VSheet.mjs"; // Utilities

import { defineComponent } from 'vue';
import makeProps from "../../util/makeProps.mjs";
export default defineComponent({
  name: 'VSystemBar',
  props: makeProps({
    lightsOut: Boolean,
    window: Boolean,
    ...makeSheetProps()
  }),

  setup(props, {
    slots
  }) {
    const {
      sheetClasses,
      sheetStyles
    } = useSheet(props, 'v-system-bar');
    return () => _createVNode(props.tag, {
      "class": [{
        'v-system-bar': true,
        'v-system-bar--lights-out': props.lightsOut,
        'v-system-bar--window': props.window
      }, sheetClasses.value],
      "style": sheetStyles.value
    }, { ...slots,
      _: 1
    }, 8, ["class", "style"]);
  }

});
//# sourceMappingURL=VSystemBar.mjs.map