import { createVNode as _createVNode } from "vue";
// Styles
import "./VThemeProvider.sass"; // Utilities

import { defineComponent } from 'vue';
import { provideTheme } from "../../composables/theme.mjs";
import makeProps from "../../util/makeProps.mjs";
export default defineComponent({
  name: 'VThemeProvider',
  props: makeProps({
    theme: {
      type: String
    },
    // TODO: Better name
    newContext: {
      type: Boolean
    }
  }),

  setup(props, context) {
    const {
      themeClasses
    } = provideTheme(props, context);
    return () => {
      return _createVNode("div", {
        "class": ['v-theme-provider', themeClasses.value]
      }, [_createVNode("div", null, [context.slots.default == null ? void 0 : context.slots.default()])], 2);
    };
  }

});
//# sourceMappingURL=VThemeProvider.mjs.map