// Utilities
import { computed } from 'vue';
import propsFactory from "../util/propsFactory.mjs"; // Types

export const makeBorderRadiusProps = propsFactory({
  rounded: [Boolean, Number, String]
}); // Composables

export function useBorderRadius(props) {
  const borderRadiusClasses = computed(() => {
    const classes = [];

    if (props.rounded === true || props.rounded === '') {
      classes.push('rounded');
    } else if (typeof props.rounded === 'string' || props.rounded === 0) {
      for (const value of String(props.rounded).split(' ')) {
        classes.push("rounded-".concat(value));
      }
    }

    return classes;
  });
  return {
    borderRadiusClasses
  };
}
//# sourceMappingURL=border-radius.mjs.map