// Utilities
import { computed } from 'vue';
import propsFactory from "../util/propsFactory.mjs"; // Types

// Composables
export const makeBorderProps = propsFactory({
  outlined: Boolean,
  border: [Boolean, Number, String]
});
export function useBorder(props, name) {
  const borderClasses = computed(() => {
    const classes = [];

    if (props.outlined || props.border === true || props.border === '') {
      classes.push("".concat(name, "--border"));
    } else if (typeof props.border === 'string' || props.border === 0) {
      for (const value of String(props.border).split(' ')) {
        classes.push("border-".concat(value));
      }
    }

    return classes;
  });
  return {
    borderClasses
  };
}
//# sourceMappingURL=border.mjs.map