// Utilities
import propsFactory from "../util/propsFactory.mjs"; // Globals

import { IN_BROWSER } from "../util/globals.mjs"; // Types

export const makeDelayProps = propsFactory({
  closeDelay: [Number, String],
  openDelay: [Number, String]
});
export function useDelay(props, cb) {
  const delays = {};

  const runDelayFactory = prop => () => {
    // istanbul ignore next
    if (!IN_BROWSER) return Promise.resolve(true);
    const active = prop === 'openDelay';
    delays.closeDelay && window.clearTimeout(delays.closeDelay);
    delete delays.closeDelay;
    delays.openDelay && window.clearTimeout(delays.openDelay);
    delete delays.openDelay;
    return new Promise(resolve => {
      var _props$prop;

      const delay = parseInt((_props$prop = props[prop]) != null ? _props$prop : 0, 10);
      delays[prop] = window.setTimeout(() => {
        cb == null ? void 0 : cb(active);
        resolve(active);
      }, delay);
    });
  };

  return {
    runCloseDelay: runDelayFactory('closeDelay'),
    runOpenDelay: runDelayFactory('openDelay')
  };
}
//# sourceMappingURL=delay.mjs.map