// Utilities
import { computed } from 'vue';
import propsFactory from "../util/propsFactory.mjs"; // Types

const allowedDensities = ['default', 'comfortable', 'compact'];
// Composables
export const makeDensityProps = propsFactory({
  density: {
    type: String,
    default: 'default',
    validator: v => allowedDensities.includes(v)
  }
});
export function useDensity(props, name) {
  const densityClasses = computed(() => {
    return "".concat(name, "--density-").concat(props.density);
  });
  return {
    densityClasses
  };
}
//# sourceMappingURL=density.mjs.map