// Setup
import { computed } from 'vue';
import propsFactory from "../util/propsFactory.mjs";
const predefinedSizes = ['x-small', 'small', 'default', 'large', 'x-large'];
// Props
export const makeSizeProps = propsFactory({
  size: {
    type: [String, Number],
    default: 'default'
  }
}); // Effect

export function useSize(props, name) {
  const sizeClasses = computed(() => {
    return predefinedSizes.includes(props.size) ? "".concat(name, "--size-").concat(props.size) : null;
  });
  return {
    sizeClasses
  };
}
//# sourceMappingURL=size.mjs.map